Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum OpenNetReason

    java.lang.Object
      java.lang.Enum<OpenNetReason>
          com.nortel.soa.oi.cct.types.OpenNetReason

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OpenNetReason>

    public enum OpenNetReason

extends java.lang.Enum<OpenNetReason>

Java class for openNetReason.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="openNetReason">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="TRANSFER_OPEN_NET_INIT"/>
         <enumeration value="CONFERENCE_OPEN_NET_INIT"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CONFERENCE_OPEN_NET_INIT`
`TRANSFER_OPEN_NET_INIT`

Method Summary
`static OpenNetReason` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static OpenNetReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OpenNetReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSFER_OPEN_NET_INIT

    public static final OpenNetReason TRANSFER_OPEN_NET_INIT

### CONFERENCE_OPEN_NET_INIT

    public static final OpenNetReason CONFERENCE_OPEN_NET_INIT

Method Detail

### values

    public static OpenNetReason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OpenNetReason c : OpenNetReason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OpenNetReason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static OpenNetReason fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.